Subject: Re: Cygwin: Initial clone of repo containing .gitattributes has modified files

From: Raman Gupta <[email-masked]>
Date: Tue, 02 Jun 2009 11:56:22 -0400

Junio C Hamano wrote:
> Raman Gupta <[email-masked]> writes:
> 
>> When a repository containing a .gitattributes file, which contains
>> other files with -crlf set is cloned on cygwin, with autocrlf = true,
>> the initial checkout of the working copy sets the line endings for the
>> -crlf files incorrectly (it ignores the .gitattributes, presumably
>> because it hasn't been checked out yet).
> 
> I think this is what v1.6.3-rc0~83^2~1 (Read attributes from the index
> that is being checked out, 2009-03-13) was about.

Thanks! I looked for the fix but didn't find any reference to it. Sorry.

> I see you are using 

Actually, I use Linux -- its my coworkers that use cygwin! Bleh! :)

> a version based on 1.6.1.2; isn't there a newer Cygwin
> packaged one available?

Nope. That is the latest available as of this morning (at least in the
cygwin non-experimental branch).

Cheers,
Raman